<div>
  <h2 id="page-heading" data-cy="LeasingHeading">
    <span>Leasings</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-leasing"
        [routerLink]="['/leasing/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Leasing</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (leasings?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Leasings found</span>
    </div>
  }

  @if (leasings && leasings.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kode">
              <div class="d-flex">
                <span>Kode</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="alamat">
              <div class="d-flex">
                <span>Alamat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kota">
              <div class="d-flex">
                <span>Kota</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="provinsi">
              <div class="d-flex">
                <span>Provinsi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kecamatan">
              <div class="d-flex">
                <span>Kecamatan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kelurahan">
              <div class="d-flex">
                <span>Kelurahan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rt">
              <div class="d-flex">
                <span>Rt</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rw">
              <div class="d-flex">
                <span>Rw</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="npwp">
              <div class="d-flex">
                <span>Npwp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kodePose">
              <div class="d-flex">
                <span>Kode Pose</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noKontak">
              <div class="d-flex">
                <span>No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="techNoKontak">
              <div class="d-flex">
                <span>Tech No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="techEmail">
              <div class="d-flex">
                <span>Tech Email</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="acctNoKontak">
              <div class="d-flex">
                <span>Acct No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="acctEmail">
              <div class="d-flex">
                <span>Acct Email</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="recordStatus">
              <div class="d-flex">
                <span>Record Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOne">
              <div class="d-flex">
                <span>Update One</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="email">
              <div class="d-flex">
                <span>Email</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="sk">
              <div class="d-flex">
                <span>Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody
          infinite-scroll
          (scrolled)="loadPage(page + 1)"
          [infiniteScrollDisabled]="page - 1 >= links['last']"
          [infiniteScrollDistance]="0"
        >
          @for (leasing of leasings; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/leasing', leasing.id, 'view']">{{ leasing.id }}</a>
              </td>
              <td>{{ leasing.kode }}</td>
              <td>{{ leasing.nama }}</td>
              <td>{{ leasing.alamat }}</td>
              <td>{{ leasing.kota }}</td>
              <td>{{ leasing.provinsi }}</td>
              <td>{{ leasing.kecamatan }}</td>
              <td>{{ leasing.kelurahan }}</td>
              <td>{{ leasing.rt }}</td>
              <td>{{ leasing.rw }}</td>
              <td>{{ leasing.npwp }}</td>
              <td>{{ leasing.kodePose }}</td>
              <td>{{ leasing.noKontak }}</td>
              <td>{{ leasing.techNoKontak }}</td>
              <td>{{ leasing.techEmail }}</td>
              <td>{{ leasing.acctNoKontak }}</td>
              <td>{{ leasing.acctEmail }}</td>
              <td>{{ leasing.recordStatus }}</td>
              <td>{{ leasing.updateBy }}</td>
              <td>{{ leasing.updateOne | formatMediumDatetime }}</td>
              <td>{{ leasing.email }}</td>
              <td>{{ leasing.sk }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/leasing', leasing.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/leasing', leasing.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(leasing)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
</div>
